/*  $Id$

    This file is part of the

    GRALE: a grammar visualization tool

    Developed by Holger Wunsch and Detmar Meurers
    Copyright (C) 1998-2005 by the developers
    All rights reserved

    Seminar fr Sprachwissenschaft, Universitt Tbingen and
    Department of Linguistics, The Ohio State University

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
   @file

   This file contains all version information strings.

   @author Holger Wunsch */


#ifndef __CONFIG_H_
#define __CONFIG_H_

#include <qglobal.h>
#include <qapplication.h>

/* GRALE only runs on QT 4.x */
#if QT_VERSION < 0x040000
#error "Qt 4.0 or higher is required to compile GRALE."
#endif

/** The current version. */
#ifndef APP_VERSION
#define APP_VERSION "1.0.5"
#endif

/** The application name, shown on the title bar of the main window. */
#define APP_NAME "GRALE"


/**
 * The developers.
 */
#define DEVELOPERS "Developed by Holger Wunsch, Detmar Meurers, Martin Lazarov"


/**
 * The Copyright string.
 */
#define COPYRIGHT "Copyright (C) 1998-2007 by the developers"


/** The about string.
    It is formatted as a QT richtext string. */
#define GRALE_ABOUT_STRING \
  "<qt>GRALE: a grammar visualization tool<br><br>"\
  "Version " APP_VERSION "<br><br>"\
  DEVELOPERS "<br>"\
  COPYRIGHT "<br>"\
  "All rights reserved<br><br>"\
  "Seminar fr Sprachwissenschaft, Universitt Tbingen and<br>"\
  "Department of Linguistics, The Ohio State University</qt>"

#endif
