/*  $Id$

    This file is part of the

    GRALE: a grammar visualization tool

    Developed by Holger Wunsch and Detmar Meurers
    Copyright (C) 1998-2005 by the developers
    All rights reserved

    Seminar fr Sprachwissenschaft, Universitt Tbingen and
    Department of Linguistics, The Ohio State University

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/** @file

    This file contains a number of global variables.

    @author Holger Wunsch */


#ifndef __GLOBAL_H_
#define __GLOBAL_H_


#include <qdir.h>
//#include "kapp.h"
#include <qapplication.h>

#include "mainw.h"
#include "options.h"
#include "gdataexchange.h"
#include "gdatamanager.h"


/** Returns the maximum of <code>a</code> and <code>b</code>. */
#define max(a, b) ((a > b) ? a : b)


/** The global application options. */
extern Options *globalOptions;


/** The main window. */
extern MainWindow *mainw;


/** Pointer to the application object. */
//extern KApplication *application;


/** The data exchange manager. */
extern GDataExchange* dataxc;


/** The application-wide data manager. */
extern GDataManager* dataMgr;


/** If this variable is set to <code>true</code>, GRALE will dump all
    data coming in on its socket connection to the file <code>GRALE.dmp</code>
    in the directory where GRALE was started. */
extern bool dumpData;

/** Pathname of the directory with the icons */
extern const char* resourcePath;


/** The name of the file data is dumped into. */
#define DATADUMP_FILENAME  "GRALE.dmp"


#endif
