/*  $Id$

    This file is part of the

    GRALE: a grammar visualization tool

    Developed by Holger Wunsch and Detmar Meurers
    Copyright (C) 1998-2005 by the developers
    All rights reserved

    Seminar fr Sprachwissenschaft, Universitt Tbingen and
    Department of Linguistics, The Ohio State University

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/** @file
   
    Implementation of the <code>ScrollCanvas</code> class.

    @author Holger Wunsch */

#include "scrollcanvas.h"

#include "canvas.h"
//Added by qt3to4:
#include <QResizeEvent>

ScrollCanvas::ScrollCanvas(Options* options, GStructureData* d, GenericNode* rootNode, QWidget* parent) :
  QScrollArea(parent)
{
  canvas = new Canvas(options, d, rootNode, this);
  setPalette(canvas->palette());
  setWidget(canvas);
}

Canvas* ScrollCanvas::getCanvas() {
  return canvas;
}
