:- dynamic
	gensym_counter/2.


%   gensym(Prefix, V)
%   unifies V with a new atom whose name begins with Prefix and ends
%   with a number.  E.g. gensym(a,X), gensym(a,Y), gensym(a,Z) might
%   bind X to a1, Y to a2, Z to a3.  It only succeeds once per call,
%   to get another binding for V you have to call it again.  There's
%   a separate counter for each prefix.

gensym(Prefix, V) :-
	var(V),
	atomic(Prefix),
	(   retract(gensym_counter(Prefix, M))
	;   M = 0
	),
	N is M+1,
	asserta(gensym_counter(Prefix, N)),
	concat(Prefix, N, V),
	!.


